Bug 749756 - Review Request: zita-at1 - autotuner for JACK
Summary: Review Request: zita-at1 - autotuner for JACK
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-28 09:10 UTC by Brendan Jones
Modified: 2011-12-24 20:52 UTC (History)
3 users (show)

Fixed In Version: zita-at1-0.2.3-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:24:00 UTC
Type: ---
belegdol: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brendan Jones 2011-10-28 09:10:37 UTC
zita-at1 is an autotuner, normally used to correct the pitch of a voice 
singing (slightly) out of tune.

Depends on clxclient also under review: Bug 749753

SRPM: http://bsjones.fedorapeople.org/zita-at1-0.2.3-1.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/zita-at1.spec


rpmlint /home/bsjones/rpmbuild/RPMS/x86_64/zita-at1*
zita-at1.x86_64: W: spelling-error Summary(en_US) autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.x86_64: W: spelling-error %description -l en_US autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.x86_64: W: no-manual-page-for-binary zita-at1
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint /home/bsjones/rpmbuild/SRPMS/zita-at1*
zita-at1.src: W: spelling-error Summary(en_US) autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.src: W: spelling-error %description -l en_US autotuner -> auto tuner, auto-tuner, autoimmune
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Brendan Jones 2011-11-11 06:21:02 UTC
SRPM: http://bsjones.fedorapeople.org/zita-at1-0.2.3-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/zita-at1.spec

Added desktop file, remove unnecessary constructs from spec file.

Comment 2 Julian Sikorski 2011-11-15 19:07:39 UTC
I'll try do to this later today or tomorrow. Initial remarks:
- keeping the -sse flag might be in conflict with [1]. It will break on x86_32 machines without sse, and on x86_64 you are guaranteed to have sse2 IIRC.
- make sure to send Patch0 upstream, preferably making a note in the spec file

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Comment 3 Brendan Jones 2011-11-15 20:12:43 UTC
No problem, the flag removal for PPC should not have been there - removed, and commented sources/patch.

Thanks

SRPM: http://bsjones.fedorapeople.org/zita-at1-0.2.3-3.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/zita-at1.spec

Comment 4 Julian Sikorski 2011-11-15 23:08:16 UTC
Two more issues:
1. there is still --ffast-math in the CPPFLAGS which might violate the guidelines. I am not 100% sure on this, though.
2. BR: desktop-file-utils is missing, package does not build in mock.

Comment 5 Julian Sikorski 2011-11-17 09:58:01 UTC
I took a liberty of adding desktop-file-utils to move this forward:
* rpmlint output OK:

$ rpmlint zita-at1.spec /var/lib/mock/fedora-16-x86_64/result/*rpm
zita-at1.src: W: spelling-error Summary(en_US) autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.src: W: spelling-error %description -l en_US autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.x86_64: W: spelling-error Summary(en_US) autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.x86_64: W: spelling-error %description -l en_US autotuner -> auto tuner, auto-tuner, autoimmune
zita-at1.x86_64: W: no-manual-page-for-binary zita-at1
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

* Naming guidelines followed
* spec file naming correct: zita-at1.spec
* Packaging guidelines
  - use of --ffast-math violates [1]
  - BR: desktop-file-utils is missing [2]
* Licensing is correct: GPLv2+
* License tag matches the actual license
* COPYING file is included in %doc
* spec file is written in American English
* spec file is legible
* source matches upstream: d901f378da09407b550c72b2607cc97f zita-at1-0.2.3.tar.bz2
* package does not build
  - BR: desktop-file-utils is missing
* ExcludeArch: unable to test
* BuildRequires: desktop-file-utils is missing
* locales do not apply
* there are no shared libraries
* there are no copies of system libs bundled
* package is not relocatable
* directory ownership is correct
* there are no duplicate files
* permissions are correct
* macros consistency:
  - please replace zita-at1 in Source1 and Patch0 with %{name}
* package contains code
* documentation is not big enough to warrant a -doc subpackage
* there are no header files, static nor dynamic libraries
* there are no subpackages
* there are no libtool archives
* there is a desktop file correctly installed with desktop-file-install
* there are no overlapping ownerships
* filenames are UTF-8

Summary:
* use of --ffast-math violates [1]. Either remove it or provide rationale on why is it needed.
* BR: desktop-file-utils is missing [2]
* please replace zita-at1 in Source1 and Patch0 with %{name}

Once these issues are resolved, I'll approve the package.

[1] https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
[2] https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

Comment 6 Brendan Jones 2011-11-19 08:34:25 UTC
Thanks Julia, have been away on business and will complete this and your over the next 2 days.

Comment 7 Brendan Jones 2011-11-19 13:58:57 UTC
Thanks Julian, have made changes as requested, updated SPEC and SRPM:

SRPM: http://bsjones.fedorapeople.org/zita-at1-0.2.3-4.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/zita-at1.spec

Comment 8 Julian Sikorski 2011-11-19 15:27:28 UTC
Comments have been addressed, this package is ACCEPTED.

Comment 9 Brendan Jones 2011-11-19 16:18:49 UTC
New Package SCM Request
=======================
Package Name: zita-at1
Short Description: autotuner for JACK
Owners: bsjones
Branches: f15 f16
InitialCC:

Comment 10 Gwyn Ciesla 2011-11-19 18:45:03 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-11-20 17:34:48 UTC
zita-at1-0.2.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zita-at1-0.2.3-4.fc16

Comment 12 Fedora Update System 2011-11-21 00:01:32 UTC
zita-at1-0.2.3-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-11-29 00:24:00 UTC
zita-at1-0.2.3-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-12-14 00:12:11 UTC
zita-at1-0.2.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zita-at1-0.2.3-4.fc15

Comment 15 Fedora Update System 2011-12-24 20:52:49 UTC
zita-at1-0.2.3-4.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.